Debian Bug report logs - #604579
Preparations for the removal of the KDE3 and Qt3 libraries

version graph

Package: src:k3dsurf; Maintainer for src:k3dsurf is Cyril Brulebois <kibi@debian.org>;

Reported by: Eckhart Wörner <ewoerner@kde.org>

Date: Mon, 22 Nov 2010 23:33:31 UTC

Severity: serious

Tags: sid, wheezy

Found in version k3dsurf/0.6.2.4-1

Fixed in version 0.6.2.4-1+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Cyril Brulebois <kibi@debian.org>:
Bug#604579; Package src:k3dsurf. (Mon, 22 Nov 2010 23:33:34 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eckhart Wörner <ewoerner@kde.org>:
New Bug report received and forwarded. Copy sent to Cyril Brulebois <kibi@debian.org>. (Mon, 22 Nov 2010 23:33:34 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Eckhart Wörner <ewoerner@kde.org>
To: maintonly@bugs.debian.org
Subject: Preparations for the removal of the KDE3 and Qt3 libraries
Date: Tue, 23 Nov 2010 00:32:47 +0100
Source: k3dsurf
Severity: wishlist
User: debian-qt-kde@lists.debian.org
Usertags: qt3libs-removal


Dear maintainer,

The Debian Qt/KDE team is planning to remove the KDE3 and Qt3 libraries from 
Debian shortly after the Squeeze release. The transition phase to KDE4 and Qt4 
will finish since both KDE and Nokia upstream don't maintain the old versions 
of those libraries anymore.

In order to make this move, all packages directly or indirectly depending on 
the KDE3/Qt3 libraries have to either get ported to KDE4/Qt4 or eventually get 
removed from the Debian repositories.

Therefore, please take the time and:
- contact your upstream (if existing) and ask about the state of a KDE4/Qt4 
port of your application
- if there are no activities regarding porting, investigate whether there are 
suitable alternatives for your users
- if there is a KDE4/Qt4 port that is not yet packaged, consider packaging it
- if both the KDE3/Qt3 and the KDE4/Qt4 version already coexist in the Debian 
archives, consider removing the KDE3/Qt3 version

Documentation on how to port to KDE4 can be found at:
http://techbase.kde.org/index.php?title=Development/Tutorials/KDE4_Porting_Guide

Documentation on how to port to Qt4 can be found at:
http://doc.qt.nokia.com/4.7/porting4.html

For any questions and issues, do not hesitate to contact the Debian Qt/KDE 
team at debian-qt-kde@lists.debian.org

Eckhart




Bug Marked as found in versions k3dsurf/0.6.2.4-1. Request was from Eckhart Wörner <ewoerner@kde.org> to control@bugs.debian.org. (Tue, 23 Nov 2010 12:33:12 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'wishlist' Request was from Eckhart Wörner <ewoerner@kde.org> to control@bugs.debian.org. (Tue, 08 Feb 2011 11:28:51 GMT) Full text and rfc822 format available.

Added tag(s) sid and wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Thu, 10 Feb 2011 19:34:50 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'serious' Request was from Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com> to control@bugs.debian.org. (Sat, 26 Feb 2011 18:36:54 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Cyril Brulebois <kibi@debian.org>:
Bug#604579; Package src:k3dsurf. (Sat, 19 May 2012 13:24:32 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to Cyril Brulebois <kibi@debian.org>. (Sat, 19 May 2012 13:24:32 GMT) Full text and rfc822 format available.

Message #18 received at 604579@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: 604579@bugs.debian.org
Subject: Re: Bug#604579: Preparations for the removal of the KDE3 and Qt3 libraries
Date: Sat, 19 May 2012 13:27:48 +0200
On Tue, Nov 23, 2010 at 12:32:47AM +0100, Eckhart Wörner wrote:
> Source: k3dsurf
> Severity: wishlist
> User: debian-qt-kde@lists.debian.org
> Usertags: qt3libs-removal
> 
> 
> Dear maintainer,
> 
> The Debian Qt/KDE team is planning to remove the KDE3 and Qt3 libraries from 
> Debian shortly after the Squeeze release. The transition phase to KDE4 and Qt4 
> will finish since both KDE and Nokia upstream don't maintain the old versions 
> of those libraries anymore.
> 
> In order to make this move, all packages directly or indirectly depending on 
> the KDE3/Qt3 libraries have to either get ported to KDE4/Qt4 or eventually get 
> removed from the Debian repositories.
> 
> Therefore, please take the time and:
> - contact your upstream (if existing) and ask about the state of a KDE4/Qt4 
> port of your application
> - if there are no activities regarding porting, investigate whether there are 
> suitable alternatives for your users
> - if there is a KDE4/Qt4 port that is not yet packaged, consider packaging it
> - if both the KDE3/Qt3 and the KDE4/Qt4 version already coexist in the Debian 
> archives, consider removing the KDE3/Qt3 version
> 
> Documentation on how to port to KDE4 can be found at:
> http://techbase.kde.org/index.php?title=Development/Tutorials/KDE4_Porting_Guide
> 
> Documentation on how to port to Qt4 can be found at:
> http://doc.qt.nokia.com/4.7/porting4.html

Hello maintainer(s),

One year and a half later, it is about time to remove Qt3.
Please, migrate to the Qt4 version (if existing) or file for removal of your
package.

Thanks,
Ana





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#604579; Package src:k3dsurf. (Sat, 19 May 2012 13:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. (Sat, 19 May 2012 13:39:05 GMT) Full text and rfc822 format available.

Message #23 received at 604579@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Ana Guerrero <ana@debian.org>, 604579@bugs.debian.org
Subject: Re: Bug#604579: Preparations for the removal of the KDE3 and Qt3 libraries
Date: Sat, 19 May 2012 15:35:40 +0200
[Message part 1 (text/plain, inline)]
Hi Ana,

Ana Guerrero <ana@debian.org> (19/05/2012):
> One year and a half later, it is about time to remove Qt3.  Please,
> migrate to the Qt4 version (if existing) or file for removal of your

I don't see any new version upstream. I'm not sure whether it could be
easily ported to Qt4, but I guess we could do that for the time being:
 - get Qt3 removed from unstable, possibly breaking k3dsurf's
   installability,
 - I try to port it to Qt4, and if I fail/don't find the time, it gets
   removed afterwards.

This way, we spare a trip to NEW if I'm successful, and more
importantly, k3dsurf doesn't stand in your way for the Qt3 removal.

What do you think?

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Cyril Brulebois <kibi@debian.org>:
Bug#604579; Package src:k3dsurf. (Sat, 19 May 2012 14:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to Cyril Brulebois <kibi@debian.org>. (Sat, 19 May 2012 14:48:03 GMT) Full text and rfc822 format available.

Message #28 received at 604579@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: Cyril Brulebois <kibi@debian.org>
Cc: 604579@bugs.debian.org
Subject: Re: Bug#604579: Preparations for the removal of the KDE3 and Qt3 libraries
Date: Sat, 19 May 2012 16:45:59 +0200
On Sat, May 19, 2012 at 03:35:40PM +0200, Cyril Brulebois wrote:
> Hi Ana,
> 
> Ana Guerrero <ana@debian.org> (19/05/2012):
> > One year and a half later, it is about time to remove Qt3.  Please,
> > migrate to the Qt4 version (if existing) or file for removal of your
> 
> I don't see any new version upstream. I'm not sure whether it could be
> easily ported to Qt4, but I guess we could do that for the time being:
>  - get Qt3 removed from unstable, possibly breaking k3dsurf's
>    installability,
>  - I try to port it to Qt4, and if I fail/don't find the time, it gets
>    removed afterwards.
> 
> This way, we spare a trip to NEW if I'm successful, and more
> importantly, k3dsurf doesn't stand in your way for the Qt3 removal.
> 
> What do you think?

I don't think the ftp-masters will remove Qt3 while there are still
packages depending on Qt3 in the archive. Anyway, there are still at 
least 2 months until the removal from unstable being very optimist. 
The real hurry here is if you want k3dsurf shipped in Wheezy, then 
the porting has to be done like in the next month.

Ana





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#604579; Package src:k3dsurf. (Sat, 19 May 2012 14:54:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. (Sat, 19 May 2012 14:54:08 GMT) Full text and rfc822 format available.

Message #33 received at 604579@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Ana Guerrero <ana@debian.org>
Cc: 604579@bugs.debian.org
Subject: Re: Bug#604579: Preparations for the removal of the KDE3 and Qt3 libraries
Date: Sat, 19 May 2012 16:50:07 +0200
[Message part 1 (text/plain, inline)]
Ana Guerrero <ana@debian.org> (19/05/2012):
> I don't think the ftp-masters will remove Qt3 while there are still
> packages depending on Qt3 in the archive.

For smaller packages, that happens every week. ;)

> Anyway, there are still at least 2 months until the removal from
> unstable being very optimist. The real hurry here is if you want
> k3dsurf shipped in Wheezy, then the porting has to be done like in the
> next month.

ACK. Will see what I can do.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Severity set to 'serious' from 'important' Request was from Ana Guerrero <ana@debian.org> to control@bugs.debian.org. (Sun, 10 Jun 2012 16:30:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Cyril Brulebois <kibi@debian.org>:
Bug#604579; Package src:k3dsurf. (Sun, 17 Jun 2012 16:12:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to Cyril Brulebois <kibi@debian.org>. (Sun, 17 Jun 2012 16:12:11 GMT) Full text and rfc822 format available.

Message #40 received at 604579@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: 604579@bugs.debian.org, 604576@bugs.debian.org, 604597@bugs.debian.org, 604598@bugs.debian.org, 604515@bugs.debian.org
Subject: removal time?
Date: Sun, 17 Jun 2012 18:09:01 +0200
Hi maintainer,

Your package is one of the last 5 remaining packages in unstable using Qt3.
I haven't pushed for the removal until now because you have told me you
were working in a possible Qt4 version. The freeze is close, I don't know
the date yet, but if you don't see feasible pushing the Qt4 version within
2 weeks, your shiny Qt4 package is probably not making it, so please file 
for removal.

Thanks,
Ana




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#604579; Package src:k3dsurf. (Sun, 17 Jun 2012 17:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. (Sun, 17 Jun 2012 17:27:09 GMT) Full text and rfc822 format available.

Message #45 received at 604579@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Ana Guerrero <ana@debian.org>, 604579@bugs.debian.org
Cc: 604576@bugs.debian.org, 604597@bugs.debian.org, 604598@bugs.debian.org, 604515@bugs.debian.org
Subject: Re: Bug#604579: removal time?
Date: Sun, 17 Jun 2012 19:25:37 +0200
[Message part 1 (text/plain, inline)]
Hi Ana,

Ana Guerrero <ana@debian.org> (17/06/2012):
> Your package is one of the last 5 remaining packages in unstable using
> Qt3.  I haven't pushed for the removal until now because you have told
> me you were working in a possible Qt4 version. The freeze is close, I
> don't know the date yet, but if you don't see feasible pushing the Qt4
> version within 2 weeks, your shiny Qt4 package is probably not making
> it, so please file for removal.

k3surf's RM is #677901.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Tue, 19 Jun 2012 12:08:23 GMT) Full text and rfc822 format available.

Notification sent to Eckhart Wörner <ewoerner@kde.org>:
Bug acknowledged by developer. (Tue, 19 Jun 2012 12:08:59 GMT) Full text and rfc822 format available.

Message #50 received at 604579-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 604579-done@bugs.debian.org,
Cc: k3dsurf@packages.debian.org, k3dsurf@packages.qa.debian.org
Subject: Bug#677901: Removed package(s) from unstable
Date: Tue, 19 Jun 2012 12:03:45 +0000
Version: 0.6.2.4-1+rm

Dear submitter,

as the package k3dsurf has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/677901

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Alexander Reichle-Schmehl (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 18 Jul 2012 07:32:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:06:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.